%define dllsver 001222
%define qtver 2.2.3

Summary: An AVI file support library.
Name: avifile
Version: 0.53.2
Release: 1
Serial: 0
Copyright: GPL
Group: System Environment/Libraries
Source0: http://divx.euro.ru/avifile-%{version}.tar.gz
Source1: binaries-%{dllsver}.zip
Patch0: avifile-0.53.1-installpath.patch
URL: http://divx.euro.ru/
BuildRoot: %{_tmppath}/%{name}-root
Requires: XFree86, SDL >= 1.1.4, win32videodlls
BuildPreReq: /usr/bin/unzip, /usr/bin/find, qt-devel >= 2.2.3
ExclusiveArch: i586
BuildArch: i586

%description
Avifile is a library that allows programs to read and write compressed
AVI files (Indeo Video, DivX :-), etc.) under x86 Linux. (De)compression
is performed with Win32 DLLs.

%package -n win32videodlls
Summary: Windows DLLs used by avifile and other programs.
Group: System Environment/Libraries
Copyright: Freeware
Version: %{dllsver}

%description -n win32videodlls
These are Windows DLL files containing codecs that are used by avifile
and others to uncompress formats like DivX ;-) or Indeo Video.

%package qt
Summary: Qt-based AVI file utilities.
Group: Applications/Multimedia
Requires: qt >= 2.2.3, libmng >= 0.9.2

%description qt
Three small Qt-based utilities for work with AVI files: AVI player, video
capture utility and AVI recompressor.

You will need to upgrade the original qt to install this package. You can
get updated qt and libmng RPMs from http://www.linux-easy.com/

%prep
%setup -q
%patch -p1

%build
find . -type d -name CVS | xargs rm -rf
%configure --enable-release --enable-quiet \
  --with-qt-dir=/usr/lib/qt-%{qtver}
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_libdir}/win32
make install DESTDIR=%{buildroot}
unzip %{SOURCE1} -d %{buildroot}%{_libdir}/win32

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc README doc/*
%{_libdir}/libaviplay.*
%{_includedir}/avifile
%{_bindir}/avifile-config

%files -n win32videodlls
%defattr(-, root, root)
%{_libdir}/win32

%files qt
%defattr(-, root, root)
%{_bindir}/aviplay
%{_bindir}/benchmark
%{_bindir}/kv4lsetup
%{_bindir}/qtrecompress
%{_bindir}/qtvidcap
%{_datadir}/avifile

%changelog
* Fri Jan 12 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Updated to 0.53.2
- Renamed -binaries to win32videodlls

* Thu Jan  3 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Updated to 0.53.1
- Made a patch to correct the $DESTDIR problem
- Removed optimisations that were preventing the package from compiling
- Damn this was a tough one! :-)

* Sat Dec 16 2000 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Updated to 0.51

